Bug 980095 - The link "Login to post comments" on vote content page should be changed to "Login to vote or post comments for this issue" or similar to make it clear.
The link "Login to post comments" on vote content page should be changed to "...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Website (Show other bugs)
2.x
Unspecified Unspecified
high Severity low
: ---
: ---
Assigned To: Fabiano Franz
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-01 08:17 EDT by Glen Mazza
Modified: 2015-05-14 21:28 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-22 11:19:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Glen Mazza 2013-07-01 08:17:30 EDT
Description of problem:  The website has a "vote on new features page" : https://www.openshift.com/ideas within which we should be able to vote after logging into the OpenShift website.  But we're required to log into the *forum* in order to vote, which seems strange because the user id and password for the forum is the same, and it's also nonintuitive -- what does the forum have to do with voting for new ideas?

The website should allow us to vote after we've logged into OpenShift website (i.e., we can view our applications.)  

Regardless, for those who don't have permission to vote yet (because they haven't logged into whatever), the new features page should include text telling us we need to log into the forum (or the main website) -- with a hyperlink to whatever necessary log-in page.  Let us know what we need to do so we can vote--and please don't hold off letting us know that we need to log into the forum until the perfect solution of allowing website logins to vote is available.

Steps to Reproduce:
1. Go to https://www.openshift.com/, click "Sign Out" if you're logged in presently.
2. Go to https://www.openshift.com/ideas.

Actual results:
No ability to vote and no text telling us we need to log into the forum in order to vote.

Expected results:
A link like  "To vote on these issues, please <a href="....">log in</a>...." (either website login or forum login, preferably the former but the latter will do until the former is available).
Comment 1 Yujie Zhang 2013-07-02 03:23:49 EDT
hi Glen,
For a non-logged in user, if he wants to vote features, just click the link of the vote, and there is link "Login to post comments", click the "Login" link, then he should be able to login.
Besides, for security issue, we have to make communtiy site seperated from console site, although same id, users still need to login to community site seperatedly.
Thanks for reporting and welcome if you have other issues about this.
Comment 2 Glen Mazza 2013-07-02 06:49:39 EDT
OK, change the text then from "Login to post comments" to "Login to vote or post comments for this issue" or similar.  That's all that's needed and this issue can then be closed.

People are more interested in voting for something they want than just saying they want it.  Let people know what they have to do to vote--let there be no guesswork about it.
Comment 3 openshift-github-bot 2013-07-11 14:49:11 EDT
Commits pushed to master at https://github.com/openshift/li

https://github.com/openshift/li/commit/e64dce7dbc0608d368c9f6e9bbb6842000e33408
Fix bug 980095 - include link to login to vote on /ideas

https://github.com/openshift/li/commit/5b76d5d16e7cb75cfc6ea50fdcab471daec54112
Addition fix for bug 980095
add descriptive text
Comment 4 Steve Goodwin 2013-07-11 14:54:24 EDT
devenv_3488
Comment 5 Yujie Zhang 2013-07-12 01:24:36 EDT
Tested on devenv_3489, the link has been corrected now, so verify this bug, thanks.

Note You need to log in before you can comment on or make changes to this bug.